# UniqToken

Generate a unique, random token for Rails.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'uniq_token'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install uniq_token

## Usage

Let's say you have a Project model with a “token” string column that you want to be a unique identifier. Just add this to your model.

```ruby
class User< ActiveRecord::Base
  unique_token :token
end
```

This will generate a random and unique string before each book is created.

You can config length or prefix, suffix in options like this.

```ruby
unique_token :token, length: 64, prefix: 'begin_', suffix: '_end'
```

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
